> This page is for version API v1.
> For other versions, use one of these documentation indexes:
> - API v3 (default): https://docs.taxcloud.com/api-v-3/llms.txt
> - API v1: https://docs.taxcloud.com/api-v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taxcloud.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taxcloud.com/_mcp/server.

# Get Exemption Certificates

POST https://api.taxcloud.net/1.0/TaxCloud/GetExemptCertificates
Content-Type: application/json

Get a list of Exemption Certificate previously saved in TaxCloud for a particular customerID


Reference: https://docs.taxcloud.com/api-v-1/api-reference/legacy-api-reference/api-v-1/exemption-certificates/get-exemption-certificates

## Request

### Body (application/json)

This endpoint expects a GetExemptCertificates.

- `apiLoginID` (string, required) — Find your API ID via [https://app.taxcloud.com/go/stores/](https://app.taxcloud.com/go/stores/)
- `apiKey` (string, required) — Find your API KEY via [https://app.taxcloud.com/go/stores/](https://app.taxcloud.com/go/stores/)
- `customerID` (string, required) — This should be the abstract identifier used by your system to uniquely identify customers. **Note:** This should not be your customer's email address or any other form of Personally Identifiable Information (PII).

## Response

### 200

OK

- `GetExemptCertificatesResult` (GetExemptCertificatesResponseGetExemptCertificatesResult, optional)

## Errors

### 500 Server Error

Unexpected Error

- `any`

## Types

### GetExemptCertificatesResponseGetExemptCertificatesResult

- `ExemptCertificates` (list of ExemptionCertificate, optional)
- `ResponseType` (integer, optional) — Response Types include \<ul>0 = Error. Likely invalid API Credentials1 = Warning. Something is wrong.2 = Informational. Something could be better\<li>3 = SUCCESS! You did it!
- `Messages` (list of string, optional) — Optional array of messages related to the response.

### ExemptionCertificate

- `CertificateID` (string, optional)
- `Detail` (ExemptionCertificateDetail, optional)

### ExemptionCertificateDetail

- `ExemptStates` (list of ExemptState, required) — Typically, Exemption Certificates are state-by-state, however, for Federal Government Purchasers, multiple states can be specified.
- `PurchaserFirstName` (string, required)
- `PurchaserLastName` (string, required)
- `PurchaserTitle` (string, required)
- `PurchaserAddress1` (string, required)
- `PurchaserAddress2` (string, required)
- `PurchaserCity` (string, required)
- `PurchaserState` (string, required)
- `PurchaserZip` (string, required)
- `PurchaserTaxID` (ExemptPurchaserTaxID, required)
- `PurchaserBusinessType` (enum, required)
  - Allowed values: `AccommodationAndFoodServices`, `Agricultural_Forestry_Fishing_Hunting`, `Construction`, `FinanceAndInsurance`, `Information_PublishingAndCommunications`, `Manufacturing`, `Mining`, `RealEstate`, `RentalAndLeasing`, `RetailTrade`, `TransportationAndWarehousing`, `Utilities`, `WholesaleTrade`, `BusinessServices`, `ProfessionalServices`, `EducationAndHealthCareServices`, `NonprofitOrganization`, `Government`, `NotABusiness`, `Other`
- `PurchaserExemptionReason` (enum, required)
  - Allowed values: `FederalGovernmentDepartment`, `StateOrLocalGovernmentName`, `TribalGovernmentName`, `ForeignDiplomat`, `CharitableOrganization`, `EducationalOrganization`, `Resale`, `AgriculturalProduction`, `IndustrialProductionOrManufacturing`, `DirectPayPermit`, `DirectMail`, `Other`, `ReligiousOrganization`
- `CreatedDate` (string, required) — The Date/Time of the exemption certificate being created. If omitted, this value is inferred from the time the API call is received. Exemption Certificate is not valid (will not be honored by TaxCloud) before this date.
- `PurchaserBusinessTypeOtherValue` (string, optional) — Required if PurchaserBusinessType selected is "Other"
- `PurchaserExemptionReasonOtherValue` (string, optional) — Required if PurchaserExemptionReason selected is "Other"

### ExemptState

- `StateAbbr` (enum, required)
  - Allowed values: `AL`, `AK`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DE`, `DC`, `FL`, `GA`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`
- `ReasonForExemption` (string, required)
- `IdentificationNumber` (string, required)

### ExemptPurchaserTaxID

- `TaxType` (string, required)
- `IDNumber` (string, required)
- `StateOfIssue` (enum, required)
  - Allowed values: `AL`, `AK`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DE`, `DC`, `FL`, `GA`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`

## Examples

**Request**

```json
{
  "apiLoginID": "2D7D820",
  "apiKey": "0946110c-2aa9-4387-ad5c-4e1c551b8d0c",
  "customerID": "CustomerX23"
}
```

**Response**

```json
{
  "GetExemptCertificatesResult": {
    "ExemptCertificates": [
      {
        "CertificateID": "3486a004-5bd2-e911-8208-a27b761741c1",
        "Detail": {
          "ExemptStates": [
            {
              "StateAbbr": "AL",
              "ReasonForExemption": "Purchase for Resale",
              "IdentificationNumber": "WA DOR 65646545"
            }
          ],
          "PurchaserFirstName": "Luke",
          "PurchaserLastName": "Skywalker",
          "PurchaserTitle": "Jedi Knight",
          "PurchaserAddress1": "Skywalker Ranch",
          "PurchaserAddress2": "5858 Lucas Valley Rd",
          "PurchaserCity": "Nicasio",
          "PurchaserState": "CA",
          "PurchaserZip": "94946",
          "PurchaserTaxID": {
            "TaxType": {
              "name": "SSN",
              "value": 1
            },
            "IDNumber": "00-0000000",
            "StateOfIssue": "AL"
          },
          "PurchaserBusinessType": "AccommodationAndFoodServices",
          "PurchaserExemptionReason": "FederalGovernmentDepartment",
          "CreatedDate": "2024-01-15T09:30:00Z",
          "PurchaserBusinessTypeOtherValue": "Religious Organization",
          "PurchaserExemptionReasonOtherValue": "Religious Organization"
        }
      }
    ],
    "ResponseType": {
      "value": 0
    },
    "Messages": [
      "string"
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.taxcloud.net/1.0/TaxCloud/GetExemptCertificates"

payload = {
    "apiLoginID": "2D7D820",
    "apiKey": "0946110c-2aa9-4387-ad5c-4e1c551b8d0c",
    "customerID": "CustomerX23"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.taxcloud.net/1.0/TaxCloud/GetExemptCertificates';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"apiLoginID":"2D7D820","apiKey":"0946110c-2aa9-4387-ad5c-4e1c551b8d0c","customerID":"CustomerX23"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.taxcloud.net/1.0/TaxCloud/GetExemptCertificates"

	payload := strings.NewReader("{\n  \"apiLoginID\": \"2D7D820\",\n  \"apiKey\": \"0946110c-2aa9-4387-ad5c-4e1c551b8d0c\",\n  \"customerID\": \"CustomerX23\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.taxcloud.net/1.0/TaxCloud/GetExemptCertificates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"apiLoginID\": \"2D7D820\",\n  \"apiKey\": \"0946110c-2aa9-4387-ad5c-4e1c551b8d0c\",\n  \"customerID\": \"CustomerX23\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.taxcloud.net/1.0/TaxCloud/GetExemptCertificates")
  .header("Content-Type", "application/json")
  .body("{\n  \"apiLoginID\": \"2D7D820\",\n  \"apiKey\": \"0946110c-2aa9-4387-ad5c-4e1c551b8d0c\",\n  \"customerID\": \"CustomerX23\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.taxcloud.net/1.0/TaxCloud/GetExemptCertificates', [
  'body' => '{
  "apiLoginID": "2D7D820",
  "apiKey": "0946110c-2aa9-4387-ad5c-4e1c551b8d0c",
  "customerID": "CustomerX23"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.taxcloud.net/1.0/TaxCloud/GetExemptCertificates");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"apiLoginID\": \"2D7D820\",\n  \"apiKey\": \"0946110c-2aa9-4387-ad5c-4e1c551b8d0c\",\n  \"customerID\": \"CustomerX23\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "apiLoginID": "2D7D820",
  "apiKey": "0946110c-2aa9-4387-ad5c-4e1c551b8d0c",
  "customerID": "CustomerX23"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.taxcloud.net/1.0/TaxCloud/GetExemptCertificates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```